textures/icytemple_general/design2:q3map
{
	qer_editorImage "textures/icytemple_general/design2.tga"
	surfaceParm noDamage
}

textures/icytemple_general/floor2:q3map
{
	qer_editorImage "textures/icytemple_general/floor2.tga"
	surfaceParm noDamage
}

textures/icytemple_general/floor-trans1:q3map
{
	qer_editorImage "textures/icytemple_general/floor-trans1.tga"
	surfaceParm noDamage
}

textures/icytemple_general/glow_wall
{
	q3map_lightImage "textures/icytemple_general/walltopdesign.tga"
	qer_editorImage "textures/icytemple_general/walltopdesign.tga"
	q3map_surfaceLight 1000
	surfaceParm noDamage
	surfaceParm slick
	{
		map $lightmap
	}
	{
		map "textures/icytemple_general/walltopdesign.tga"
		blendFunc filter
	}
	{
		map "textures/icytemple_general/walltopdesign_semi.tga"
		blendFunc add
		RGBGen wave sin 0.5 0.3 0 0.25
		alphaGen const 1
	}
}

textures/icytemple_general/ground:q3map
{
	qer_editorImage "textures/icytemple_general/ground.jpg"
	surfaceParm noDamage
}

textures/icytemple_general/Icy1
{
	surfaceParm noDamage
	surfaceParm slick
	{
		map "textures/icytemple_general/icy1.tga"
	}
	{
		map "textures/icytemple_general/tint1.tga"
		tcGen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
	{
		map "textures/icytemple_general/tint4.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
	{
		map $lightmap
		blendFunc filter
		RGBGen identity
	}
}

textures/icytemple_general/lightline
{
	q3map_lightImage "textures/icytemple_general/lightline.tga"
	qer_editorImage "textures/icytemple_general/lightline.tga"
	q3map_surfaceLight 500
	surfaceParm noDamage
	surfaceParm slick
	{
		map $lightmap
	}
	{
		map "textures/icytemple_general/lightline.tga"
		blendFunc filter
	}
	{
		map "textures/icytemple_general/lightline_semi.tga"
		blendFunc add
		RGBGen wave sin 0.5 0.3 0 0.25
		alphaGen const 1
	}
}

textures/icytemple_general/roofing:q3map
{
	qer_editorImage "textures/icytemple_general/roofing.tga"
	surfaceParm noDamage
}

textures/icytemple_general/wall4:q3map
{
	qer_editorImage "textures/icytemple_general/wall4.tga"
	surfaceParm noDamage
	surfaceParm slick
}

textures/icytemple_general/wall5
{
	q3map_lightImage "textures/icytemple_general/wall5.tga"
	qer_editorImage "textures/icytemple_general/wall5.tga"
	q3map_surfaceLight 300
	surfaceParm noDamage
	surfaceParm slick
	{
		map $lightmap
	}
	{
		map "textures/icytemple_general/wall5.tga"
		blendFunc filter
	}
	{
		map "textures/icytemple_general/wall5_semi.tga"
		blendFunc add
		RGBGen wave sin 0.5 0.3 0 0.25
		alphaGen const 1
	}
}

textures/icytemple_general/walljump:q3map
{
	qer_editorImage "textures/icytemple_general/walljump.tga"
	surfaceParm noDamage
}

textures/icytemple_general/walltoslide
{
	qer_editorImage "textures/icytemple_general/walltoslide.jpg"
	surfaceParm noDamage
	surfaceParm slick
	{
		map "textures/icytemple_general/walltoslide.jpg"
		RGBGen identity
	}
	{
		map "textures/icytemple_general/tint5.tga"
		blendFunc GL_ONE GL_ONE
		tcGen environment
	}
	{
		map $lightmap
		blendFunc filter
		RGBGen identity
	}
}

textures/icytemple_general/water_gold_indoor
{
	q3map_lightImage "textures/icytemple_general/water_gdetail2.jpg"
	qer_editorImage "textures/icytemple_general/water_gold_indoor.jpg"
	qer_trans 0.5
	q3map_globalTexture
	q3map_surfaceLight 500
	q3map_lightSubdivide 512
	q3map_backSplash 30 50
	surfaceParm trans
	surfaceParm nonSolid
	surfaceParm water
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/icytemple_general/water_gdetail1brighter2.jpg"
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/icytemple_general/water_gdetail3.jpg"
		blendFunc GL_DST_COLOR GL_ZERO
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE
		RGBGen identity
	}
}